/* eslint-disable handle-callback-err */
import { PostData, GetURL } from '../../helpers'
import url from '../../url'

export const getListAgentReleases = async (body) =>
    PostData(url.urlGetAgentRelease, body)
        .then((res) => res)
        .catch((err) => null)

export const createAgentRelease = async (body) =>
    PostData(url.urlCreateAgentRelease, body)
        .then((res) => res)
        .catch((err) => null)

export const updateAgentRelease = async (body) =>
    PostData(url.urlUpdateAgentRelease, body)
        .then((res) => res)
        .catch((err) => null)

export const detailAgentRelease = async (id, body) =>
    GetURL(`${url.urlDetailAgentRelease}/${id}`, body)
        .then((res) => res)
        .catch((err) => null)

export const deleteAgentRelease = async (body) =>
    PostData(url.urlDeleteAgentRelease, body)
        .then((res) => res)
        .catch((err) => null)
