/* eslint-disable handle-callback-err */
import { PostData, GetURL } from '../../helpers'
import url from '../../url'

export const getListIsuer = async (body) =>
    PostData(url.urlGetListIsuer, body)
        .then((res) => res)
        .catch((err) => null)

export const createIsuer = async (body) =>
    PostData(url.urlCreateIsuer, body)
        .then((res) => res)
        .catch((err) => null)

export const updateIsuer = async (body) =>
    PostData(url.urlUpdateIsuer, body)
        .then((res) => res)
        .catch((err) => null)

export const detailIsuer = async (id, body) =>
    GetURL(`${url.urlDetailIsuer}/${id}`, body)
        .then((res) => res)
        .catch((err) => null)

export const deleteIsuer = async (body) =>
    PostData(url.urlDeleteIsuer, body)
        .then((res) => res)
        .catch((err) => null)
