/* eslint-disable handle-callback-err */
import { PostData, GetURL } from '../../helpers'
import url from '../../url'

export const getListReleasePackage = async (body) =>
    PostData(url.urlGetReleasePackage, body)
        .then((res) => res)
        .catch((err) => null)

export const createReleasePackage = async (body) =>
    PostData(url.urlCreateReleasePackage, body)
        .then((res) => res)
        .catch((err) => null)

export const updateReleasePackage = async (body) =>
    PostData(url.urlUpdateReleasePackage, body)
        .then((res) => res)
        .catch((err) => null)

export const detailReleasePackage = async (id, body) =>
    GetURL(`${url.urlDetailReleasePackage}/${id}`, body)
        .then((res) => res)
        .catch((err) => null)

export const deleteReleasePackage = async (body) =>
    PostData(url.urlDeleteReleasePackage, body)
        .then((res) => res)
        .catch((err) => null)

export const changeStatusReleasePackage = async (body) =>
    PostData(url.urlchangeStatusReleasePackage, body)
        .then((res) => res)
        .catch((err) => null)

export const approveReleasePackage = async (body) =>
    PostData(url.urlapproveReleasePackage, body)
        .then((res) => res)
        .catch((err) => null)
