/* eslint-disable handle-callback-err */
import { PostData, GetURL } from '../../helpers'
import url from '../../url'

export const getListProductInvest = async (body) =>
    PostData(url.urlGetProductInvest, body)
        .then((res) => res)
        .catch((err) => null)

export const createProductInvest = async (body) =>
    PostData(url.urlCreateProductInvest, body)
        .then((res) => res)
        .catch((err) => null)

export const updateProductInvest = async (body) =>
    PostData(url.urlUpdateProductInvest, body)
        .then((res) => res)
        .catch((err) => null)

export const detailProductInvest = async (id, body) =>
    GetURL(`${url.urlDetailProductInvest}/${id}`, body)
        .then((res) => res)
        .catch((err) => null)

export const deleteProductInvest = async (body) =>
    PostData(url.urlDeleteProductInvest, body)
        .then((res) => res)
        .catch((err) => null)

export const changeStatusProductInvest = async (body) =>
    PostData(url.urlchangeStatusProductInvest, body)
        .then((res) => res)
        .catch((err) => null)

export const approveProductInvest = async (body) =>
    PostData(url.urlapproveProductInvest, body)
        .then((res) => res)
        .catch((err) => null)
