/* eslint-disable handle-callback-err */
import { PostData, GetURL } from '../../helpers'
import url from '../../url'

export const getListBanks = async (body) =>
    PostData(url.urlGetBank, body)
        .then((res) => res)
        .catch((err) => null)

export const createBank = async (body) =>
    PostData(url.urlCreateBank, body)
        .then((res) => res)
        .catch((err) => null)

export const updateBank = async (body) =>
    PostData(url.urlUpdateBank, body)
        .then((res) => res)
        .catch((err) => null)

export const detailBank = async (id, body) =>
    GetURL(`${url.urlDetailBank}/${id}`, body)
        .then((res) => res)
        .catch((err) => null)

export const deleteBank = async (body) =>
    PostData(url.urlDeleteBank, body)
        .then((res) => res)
        .catch((err) => null)
