/* eslint-disable handle-callback-err */
import { PostData, GetURL } from '../../helpers'
import url from '../../url'

export const getListRankCustomers = async (body) =>
    PostData(url.urlGetRankCustomer, body)
        .then((res) => res)
        .catch((err) => null)

export const createRankCustomer = async (body) =>
    PostData(url.urlCreateRankCustomer, body)
        .then((res) => res)
        .catch((err) => null)

export const updateRankCustomer = async (body) =>
    PostData(url.urlUpdateRankCustomer, body)
        .then((res) => res)
        .catch((err) => null)

export const detailRankCustomer = async (id, body) =>
    GetURL(`${url.urlDetailRankCustomer}/${id}`, body)
        .then((res) => res)
        .catch((err) => null)

export const deleteRankCustomer = async (body) =>
    PostData(url.urlDeleteRankCustomer, body)
        .then((res) => res)
        .catch((err) => null)
