/* eslint-disable handle-callback-err */
import { PostData, GetURL, GetData } from '../../helpers'
import url from '../../url'

export const urlGetFormTeamplate = async (body) =>
    PostData(url.urlGetFormTeamplate, body)
        .then((res) => res)
        .catch((err) => null)

export const urlCreateFormTeamplate = async (body) =>
    PostData(url.urlCreateFormTeamplate, body)
        .then((res) => res)
        .catch((err) => null)

export const urlUpdateFormTeamplate = async (body) =>
    PostData(url.urlUpdateFormTeamplate, body)
        .then((res) => res)
        .catch((err) => null)

export const urlDetailFormTeamplate = async (id, body) =>
    GetURL(`${url.urlDetailFormTeamplate}/${id}`, body)
        .then((res) => res)
        .catch((err) => null)

export const urlDeleteFormTeamplate = async (body) =>
    PostData(url.urlDeleteFormTeamplate, body)
        .then((res) => res)
        .catch((err) => null)

export const changeStatusFormTeamplate = async (body) =>
    PostData(url.changeStatusFormTeamplate, body)
        .then((res) => res)
        .catch((err) => null)
