/* eslint-disable handle-callback-err */
import { PostData, GetURL, GetData } from '../../helpers'
import url from '../../url'

export const getListHoliday = async (body) =>
    PostData(url.urlGetListHoliday, body)
        .then((res) => res)
        .catch((err) => null)

export const createHoliday = async (body) =>
    PostData(url.urlCreateHoliday, body)
        .then((res) => res)
        .catch((err) => null)

export const updateHoliday = async (body) =>
    PostData(url.urlUpdateHoliday, body)
        .then((res) => res)
        .catch((err) => null)

export const detailHoliday = async (id, body) =>
    GetURL(`${url.urlDetailHoliday}/${id}`, body)
        .then((res) => res)
        .catch((err) => null)

export const deleteHoliday = async (body) =>
    PostData(url.urlDeleteHoliday, body)
        .then((res) => res)
        .catch((err) => null)

export const changeStatusHoliday = async (body) =>
    PostData(url.changeStatusHoliday, body)
        .then((res) => res)
        .catch((err) => null)


 export const getListDateHoliday = async () =>
    GetURL(`${url.getListHoliday}`)
        .then((res) => res)
        .catch((err) => null)

export const updateListDateHoliday = async (body) =>
    PostData(url.updateHoliday, body)
        .then((res) => res)
        .catch((err) => null)