import { PostData, GetData, GetURL } from '../helpers'
import url from '../url'

export const getDropFunction = async (body) =>
    GetData(url.dropdownFuntions, body)
        .then((res) => res)
        .catch((err) => null)
export const dropdownPermission = async (body) =>
    GetData(url.dropdownPermission, body)
        .then((res) => res)
        .catch((err) => null)

export const getDropBlogCategory = async (body) =>
    GetData(url.dropdownBlogCategory, body)
        .then((res) => res)
        .catch((err) => null)

export const dropdownDepartment = async (body) =>
    GetData(url.dropdownDepartment, body)
        .then((res) => res)
        .catch((err) => null)

export const dropdownUserGroup = async (body) =>
    GetData(url.dropdownUserGroup, body)
        .then((res) => res)
        .catch((err) => null)

export const dropdownListActive = async (body) =>
    GetData(url.dropdownListActive, body)
        .then((res) => res)
        .catch((err) => null)

export const dropdownUserApprove = async (body) =>
    GetData(url.dropdownUserApprove, body)
        .then((res) => res)
        .catch((err) => null)

export const dropdownSurveyType = async (body) =>
    GetData(url.dropdownSurveyType, body)
        .then((res) => res)
        .catch((err) => null)

export const dropdownAskType = async (body) =>
    GetData(url.dropdownAskType, body)
export const dropdownCategoryType = async (body) =>
    GetData(url.dropdownCategoryType, body)
        .then((res) => res)
        .catch((err) => null)

export const dropdownBank = async (body) =>
    GetData(url.dropdownBank, body)
        .then((res) => res)
        .catch((err) => null)

export const dropdownBranch = async (body) =>
    GetData(url.dropdownBranch, body)
        .then((res) => res)
        .catch((err) => null)

export const dropdownIsuers = async (body) =>
    GetData(url.dropdownIsuers, body)
        .then((res) => res)
        .catch((err) => null)

export const dropdownGetOrganizationIdenMethod = async (body) =>
    GetData(url.dropdownGetOrganizationIdenMethod, body)
        .then((res) => res)
        .catch((err) => null)

export const dropdownGetPersonIdenMethod = async (body) =>
    GetData(url.dropdownGetPersonIdenMethod, body)
        .then((res) => res)
        .catch((err) => null)

export const dropdownGetIssuersType = async (body) =>
    GetData(url.dropdownGetIssuersType, body)
        .then((res) => res)
        .catch((err) => null)

export const dropdownGetINation = async (body) =>
    GetData(url.dropdownGetINation, body)
        .then((res) => res)
        .catch((err) => null)

export const dropdownGetIProvince = async (body) =>
    GetData(url.dropdownGetIProvince, body)
        .then((res) => res)
        .catch((err) => null)

export const dropdownGetIProvinceBy = async (id, body) =>
    GetData(`${url.dropdownGetIProvinceBy}/${id}`, body)
        .then((res) => res)
        .catch((err) => null)

export const dropdownPeriod = async (body) =>
    GetData(url.dropdownPeriod, body)
        .then((res) => res)
        .catch((err) => null)
export const dropdownTypePeriod = async (body) =>
    GetData(url.dropdownTypePeriod, body)
        .then((res) => res)
        .catch((err) => null)

export const dropdownCustomerType = async (body) =>
    GetData(url.dropdownCustomerType, body)
        .then((res) => res)
        .catch((err) => null)

export const dropdownCustomerRank = async (body) =>
    GetData(url.dropdownCustomerRank, body)
        .then((res) => res)
        .catch((err) => null)

export const dropdownGender = async (body) =>
    GetData(url.dropdownGender, body)
        .then((res) => res)
        .catch((err) => null)

export const dropdownCustomerShareType = async (body) =>
    GetData(url.dropdownCustomerShareType, body)
        .then((res) => res)
        .catch((err) => null)

export const dropdownCareType = async (body) =>
    GetData(url.dropdownCareType, body)
        .then((res) => res)
        .catch((err) => null)

export const dropdownCareResult = async (body) =>
    GetData(url.dropdownCareResult, body)
        .then((res) => res)
        .catch((err) => null)

export const dropdownRealeasePackage = async (body) =>
    GetData(url.dropdownRealeasePackage, body)
        .then((res) => res)
        .catch((err) => null)

export const dropdownProductGroup = async (body) =>
    GetData(url.dropdownProductGroup, body)
        .then((res) => res)
        .catch((err) => null)
export const dropdownProductType = async (body) =>
    GetData(url.dropdownProductType, body)
        .then((res) => res)
        .catch((err) => null)

export const dropdownFormTemplate = async (body) =>
    GetData(url.dropdownFormTemplate, body)
        .then((res) => res)
        .catch((err) => null)
