/* eslint-disable handle-callback-err */
import { PostData, GetURL } from '../../helpers'
import url from '../../url'

export const getListCustomers = async (body) =>
    PostData(url.urlGetCustomer, body)
        .then((res) => res)
        .catch((err) => null)

export const createCustomer = async (body) =>
    PostData(url.urlCreateCustomer, body)
        .then((res) => res)
        .catch((err) => null)

export const updateCustomer = async (body) =>
    PostData(url.urlUpdateCustomer, body)
        .then((res) => res)
        .catch((err) => null)

export const detailCustomer = async (id, body) =>
    GetURL(`${url.urlDetailCustomer}/${id}`, body)
        .then((res) => res)
        .catch((err) => null)

export const deleteCustomer = async (body) =>
    PostData(url.urlDeleteCustomer, body)
        .then((res) => res)
        .catch((err) => null)
export const changeStatusCustomer = async (body) =>
    PostData(url.changeStatusCustomer, body)
        .then((res) => res)
        .catch((err) => null)

export const assignCustomer = async (body) =>
    PostData(url.asignCustomer, body)
        .then((res) => res)
        .catch((err) => null)
