/* eslint-disable handle-callback-err */
import { PostData, GetURL } from '../../helpers'
import url from '../../url'

export const getListIsuerBankAccounts = async (body) =>
    PostData(url.urlGetIsuerBankAccount, body)
        .then((res) => res)
        .catch((err) => null)

export const createIsuerBankAccount = async (body) =>
    PostData(url.urlCreateIsuerBankAccount, body)
        .then((res) => res)
        .catch((err) => null)

export const updateIsuerBankAccount = async (body) =>
    PostData(url.urlUpdateIsuerBankAccount, body)
        .then((res) => res)
        .catch((err) => null)

export const detailIsuerBankAccount = async (id, body) =>
    GetURL(`${url.urlDetailIsuerBankAccount}/${id}`, body)
        .then((res) => res)
        .catch((err) => null)

export const deleteIsuerBankAccount = async (body) =>
    PostData(url.urlDeleteIsuerBankAccount, body)
        .then((res) => res)
        .catch((err) => null)
