/* eslint-disable handle-callback-err */
import { PostData, GetURL } from '../../helpers'
import url from '../../url'

export const getListPeriodInterests = async (body) =>
    PostData(url.urlGetPeriodInterest, body)
        .then((res) => res)
        .catch((err) => null)

export const createPeriodInterest = async (body) =>
    PostData(url.urlCreatePeriodInterest, body)
        .then((res) => res)
        .catch((err) => null)

export const updatePeriodInterest = async (body) =>
    PostData(url.urlUpdatePeriodInterest, body)
        .then((res) => res)
        .catch((err) => null)

export const detailPeriodInterest = async (id, body) =>
    GetURL(`${url.urlDetailPeriodInterest}/${id}`, body)
        .then((res) => res)
        .catch((err) => null)

export const deletePeriodInterest = async (body) =>
    PostData(url.urlDeletePeriodInterest, body)
        .then((res) => res)
        .catch((err) => null)
