/* eslint-disable handle-callback-err */
import { PostData, GetURL, GetData } from '../../helpers'
import url from '../../url'

export const urlGetProductGroup = async (body) =>
    PostData(url.urlGetProductGroup, body)
        .then((res) => res)
        .catch((err) => null)

export const urlCreateProductGroup = async (body) =>
    PostData(url.urlCreateProductGroup, body)
        .then((res) => res)
        .catch((err) => null)

export const urlUpdateProductGroup = async (body) =>
    PostData(url.urlUpdateProductGroup, body)
        .then((res) => res)
        .catch((err) => null)

export const urlDetailProductGroup = async (id, body) =>
    GetURL(`${url.urlDetailProductGroup}/${id}`, body)
        .then((res) => res)
        .catch((err) => null)

export const urlDeleteProductGroup = async (body) =>
    PostData(url.urlDeleteProductGroup, body)
        .then((res) => res)
        .catch((err) => null)

export const changeStatusProductGroup = async (body) =>
    PostData(url.changeStatusProductGroup, body)
        .then((res) => res)
        .catch((err) => null)
