/* eslint-disable handle-callback-err */
import { PostData, GetURL, GetData } from '../../helpers'
import url from '../../url'

export const getListAskManager = async (body) =>
    PostData(url.urlGetListAskManager, body)
        .then((res) => res)
        .catch((err) => null)

export const createAskManager = async (body) =>
    PostData(url.urlCreateAskManager, body)
        .then((res) => res)
        .catch((err) => null)

export const updateAskManager = async (body) =>
    PostData(url.urlUpdateAskManager, body)
        .then((res) => res)
        .catch((err) => null)

export const detailAskManager = async (id, body) =>
    GetURL(`${url.urlDetailAskManager}/${id}`, body)
        .then((res) => res)
        .catch((err) => null)

export const deleteAskManager = async (body) =>
    PostData(url.urlDeleteAskManager, body)
        .then((res) => res)
        .catch((err) => null)

export const changeStatusAskManager = async (body) =>
    PostData(url.changeStatusAskManager, body)
        .then((res) => res)
        .catch((err) => null)
