/* eslint-disable handle-callback-err */
import { PostData, GetURL, GetData } from '../../helpers'
import url from '../../url'

export const getListSocialNetwork = async (body) =>
    PostData(url.urlGetListSocialNetwork, body)
        .then((res) => res)
        .catch((err) => null)

export const createSocialNetwork = async (body) =>
    PostData(url.urlCreateSocialNetwork, body)
        .then((res) => res)
        .catch((err) => null)

export const updateSocialNetwork = async (body) =>
    PostData(url.urlUpdateSocialNetwork, body)
        .then((res) => res)
        .catch((err) => null)

export const detailSocialNetwork = async (id, body) =>
    GetURL(`${url.urlDetailSocialNetwork}/${id}`, body)
        .then((res) => res)
        .catch((err) => null)

export const deleteSocialNetwork = async (body) =>
    PostData(url.urlDeleteSocialNetwork, body)
        .then((res) => res)
        .catch((err) => null)

export const changeStatusSocialNetwork = async (body) =>
    PostData(url.changeStatusSocialNetwork, body)
        .then((res) => res)
        .catch((err) => null)
