const root = 'http://petrolpay.tasvietnam.vn:9985/api'

export default {
    //Dang nhap,thong tin ca nhan
    urlLogin: `${root}/auth/adminLogin`,
    urlLogout: `${root}/auth/adminLogout`,
    urlChangePass: `${root}/auth/adminChangePass`,
    urlUpdateUser: `${root}/auth/adminUpdateUserInfo`,
    urlDetailUser: `${root}/auth/adminGetUserInfo`,
    urlGetOTP: `${root}/auth/sendCodeForgetAdmin`,
    urlConfirmOTP: `${root}/auth/confirmCodeForgetAdmin`,
    urlConfirmPass: `${root}/auth/changePassForgetAdmin`,

    //Chuc nang
    urlGetListFunction: `${root}/function/list`,
    urlCreateFunction: `${root}/function/create`,
    urlUpdateFunction: `${root}/function/update`,
    urlDeleteFunction: `${root}/function/delete`,
    urlDetailFunction: `${root}/function`,
    urlListFunctionPicker: `${root}/function/lstFunctionPermission`,
    changeStatusFunction: `${root}/function/changeStatus`,

    //Hanh dong
    urlGetListAction: `${root}/action/list`,
    urlCreateAction: `${root}/action/create`,
    urlUpdateAction: `${root}/action/update`,
    urlDeleteAction: `${root}/action/delete`,
    urlDetailAction: `${root}/action`,
    changeStatusAction: `${root}/action/changeStatus`,

    //Nhom nhan vien
    urlGetListGroup: `${root}/usergroup/list`,
    urlCreateGroup: `${root}/usergroup/create`,
    urlUpdateGroup: `${root}/usergroup/update`,
    urlDeleteGroup: `${root}/usergroup/delete`,
    urlDetailGroup: `${root}/usergroup`,
    urlListActionByGroup: `${root}/usergroup/permission`,
    changeStatusGroup: `${root}/usergroup/changeStatus`,

    //Tin tuc
    urlGetListCategoryNews: `${root}/blogcategory/list`,
    urlCreateCategoryNews: `${root}/blogcategory/create`,
    urlUpdateCategoryNews: `${root}/blogcategory/update`,
    urlDeleteCategoryNews: `${root}/blogcategory/delete`,
    urlDetailCategoryNews: `${root}/blogcategory`,
    changeStatusCategoryNews: `${root}/blogcategory/changeStatus`,

    //Bai viet
    urlGetListPosts: `${root}/blog/list`,
    urlCreatePosts: `${root}/blog/create`,
    urlUpdatePosts: `${root}/blog/update`,
    urlDeletePosts: `${root}/blog/delete`,
    urlDetailPosts: `${root}/blog`,
    changeStatusPosts: `${root}/blog/changeStatus`,

    //Banner
    urlGetListBanner: `${root}/banner/list`,
    urlCreateBanner: `${root}/banner/create`,
    urlUpdateBanner: `${root}/banner/update`,
    urlDeleteBanner: `${root}/banner/delete`,
    urlDetailBanner: `${root}/banner`,
    changeStatusBanner: `${root}/banner/changeStatus`,

    //Social network
    urlGetListSocialNetwork: `${root}/socialnetwork/list`,
    urlCreateSocialNetwork: `${root}/socialnetwork/create`,
    urlUpdateSocialNetwork: `${root}/socialnetwork/update`,
    urlDeleteSocialNetwork: `${root}/socialnetwork/delete`,
    urlDetailSocialNetwork: `${root}/socialnetwork`,
    changeStatusSocialNetwork: `${root}/socialnetwork/changeStatus`,

    //Notification
    urlGetListNotification: `${root}/notification/list`,
    urlCreateNotification: `${root}/notification/create`,
    urlUpdateNotification: `${root}/notification/update`,
    urlDeleteNotification: `${root}/notification/delete`,
    urlDetailNotification: `${root}/notification`,
    changeStatusNotification: `${root}/notification/changeStatus`,

    //sms
    urlGetListSms: `${root}/smslog/list`,
    urlCreateSms: `${root}/smslog/create`,
    urlDetailSms: `${root}/smslog`,

    //email
    urlGetListEmail: `${root}/emaillog/list`,
    urlCreateEmail: `${root}/emaillog/create`,
    urlDetailEmail: `${root}/emaillog`,

    //Ask manager
    urlGetListAskManager: `${root}/askmanager/list`,
    urlCreateAskManager: `${root}/askmanager/create`,
    urlUpdateAskManager: `${root}/askmanager/update`,
    urlDeleteAskManager: `${root}/askmanager/delete`,
    urlDetailAskManager: `${root}/askmanager`,
    changeStatusAskManager: `${root}/askmanager/changeStatus`,

    //Day off
    urlGetListHoliday: `${root}/holiday/list`,
    urlCreateHoliday: `${root}/holiday/create`,
    urlUpdateHoliday: `${root}/holiday/update`,
    urlDeleteHoliday: `${root}/holiday/delete`,
    urlDetailHoliday: `${root}/holiday`,
    changeStatusHoliday: `${root}/holiday/changeStatus`,

    //upload file
    //Phong ban
    urlGetDepartments: `${root}/organization/list`,
    urlCreateDepartment: `${root}/organization/create`,
    urlUpdateDepartment: `${root}/organization/update`,
    urlDeleteDepartment: `${root}/organization/delete`,
    urlDetailDepartment: `${root}/organization`,
    changeStatusDepartment: `${root}/organization/changeStatus`,

    //Nhan vien
    urlGetEmployee: `${root}/user/list`,
    urlCreateEmployee: `${root}/user/create`,
    urlUpdateEmployee: `${root}/user/update`,
    urlDeleteEmployee: `${root}/user/delete`,
    urlDetailEmployee: `${root}/user`,
    changeStatusEmployee: `${root}/user/changeStatus`,
    actionByGroup: `${root}/usergroup/permission`,

    urlUploadFile: `${root}/upload/uploadfile`,

    //Page Static
    urlGetListPageStatic: `${root}/staticpage/list`,
    urlCreatePageStatic: `${root}/staticpage/create`,
    urlUpdatePageStatic: `${root}/staticpage/update`,
    urlDeletePageStatic: `${root}/staticpage/delete`,
    urlDetailPageStatic: `${root}/staticpage`,
    changeStatusPageStatic: `${root}/staticpage/changeStatus`,

    //category
    urlGetCategory: `${root}/otherlist/list`,
    urlCreateCategory: `${root}/otherlist/create`,
    urlUpdateCategory: `${root}/otherlist/update`,
    urlDeleteCategory: `${root}/otherlist/delete`,
    urlDetailCategory: `${root}/otherlist`,

    //category-type
    urlGetCategoryType: `${root}/otherlisttype/list`,
    urlCreateCategoryType: `${root}/otherlisttype/create`,
    urlUpdateCategoryType: `${root}/otherlisttype/update`,
    urlDeleteCategoryType: `${root}/otherlisttype/delete`,
    urlDetailCategoryType: `${root}/otherlisttype`,

    //Log
    logAuth: `${root}/logging/listLogin`,
    logApi: `${root}/logging/listCallApi`,
    logAction: `${root}/logging/listAction`,

    //Setting holiday
    getListHoliday: `${root}/settings/getSettings`,
    updateHoliday: `${root}/settings/updateSettings`,
    //BANK
    urlGetBank: `${root}/bank/list`,
    urlCreateBank: `${root}/bank/create`,
    urlUpdateBank: `${root}/bank/update`,
    urlDeleteBank: `${root}/bank/delete`,
    urlDetailBank: `${root}/bank`,

    //Issuers
    urlGetListIsuer: `${root}/issuers/list`,
    urlCreateIsuer: `${root}/issuers/create`,
    urlUpdateIsuer: `${root}/issuers/update`,
    urlDeleteIsuer: `${root}/issuers/delete`,
    urlDetailIsuer: `${root}/issuers`,

    //Agent release

    urlGetAgentRelease: `${root}/branch/list`,
    urlCreateAgentRelease: `${root}/branch/create`,
    urlUpdateAgentRelease: `${root}/branch/update`,
    urlDeleteAgentRelease: `${root}/branch/delete`,
    urlDetailAgentRelease: `${root}/branch`,

    // Issuers account bank
    urlGetIsuerBankAccount: `${root}/issuersbankaccount/list`,
    urlCreateIsuerBankAccount: `${root}/issuersbankaccount/create`,
    urlUpdateIsuerBankAccount: `${root}/issuersbankaccount/update`,
    urlDeleteIsuerBankAccount: `${root}/issuersbankaccount/delete`,
    urlDetailIsuerBankAccount: `${root}/issuersbankaccount`,

    //PeriodInterest
    urlGetPeriodInterest: `${root}/period/list`,
    urlCreatePeriodInterest: `${root}/period/create`,
    urlUpdatePeriodInterest: `${root}/period/update`,
    urlDeletePeriodInterest: `${root}/period/delete`,
    urlDetailPeriodInterest: `${root}/period`,

    //RankCustomer
    urlGetRankCustomer: `${root}/customerrank/list`,
    urlCreateRankCustomer: `${root}/customerrank/create`,
    urlUpdateRankCustomer: `${root}/customerrank/update`,
    urlDeleteRankCustomer: `${root}/customerrank/delete`,
    urlDetailRankCustomer: `${root}/customerrank`,

    //customercare
    urlGetCustomerCare: `${root}/customercare/list`,
    urlCreateCustomerCare: `${root}/customercare/create`,
    urlDetailCustomerCare: `${root}/customercare`,

    //FormTeamplate
    urlGetFormTeamplate: `${root}/formtemplate/list`,
    urlCreateFormTeamplate: `${root}/formtemplate/create`,
    urlUpdateFormTeamplate: `${root}/formtemplate/update`,
    urlDeleteFormTeamplate: `${root}/formtemplate/delete`,
    urlDetailFormTeamplate: `${root}/formtemplate`,
    changeStatusFormTeamplate: `${root}/formtemplate/changeStatus`,

    //ProductGroup
    urlGetProductGroup: `${root}/productgroup/list`,
    urlCreateProductGroup: `${root}/productgroup/create`,
    urlUpdateProductGroup: `${root}/productgroup/update`,
    urlDeleteProductGroup: `${root}/productgroup/delete`,
    urlDetailProductGroup: `${root}/productgroup`,
    changeStatusProductGroup: `${root}/productgroup/changeStatus`,

    //Customer
    urlGetCustomer: `${root}/customer/list`,
    urlCreateCustomer: `${root}/customer/create`,
    urlUpdateCustomer: `${root}/customer/update`,
    urlDeleteCustomer: `${root}/customer/delete`,
    urlDetailCustomer: `${root}/customer`,
    changeStatusCustomer: `${root}/customer/changeStatus`,
    asignCustomer: `${root}/customer/assign`,

    //Release package
    urlGetReleasePackage: `${root}/realeasepackage/list`,
    urlCreateReleasePackage: `${root}/realeasepackage/create`,
    urlUpdateReleasePackage: `${root}/realeasepackage/update`,
    urlDeleteReleasePackage: `${root}/realeasepackage/delete`,
    urlDetailReleasePackage: `${root}/realeasepackage`,
    urlchangeStatusReleasePackage: `${root}/realeasepackage/changeStatus`,
    urlapproveReleasePackage: `${root}/realeasepackage/approve`,

    //Product Invest
    urlGetProductInvest: `${root}/product/list`,
    urlCreateProductInvest: `${root}/product/create`,
    urlUpdateProductInvest: `${root}/product/update`,
    urlDeleteProductInvest: `${root}/product/delete`,
    urlDetailProductInvest: `${root}/product`,
    urlchangeStatusProductInvest: `${root}/product/changeStatus`,
    urlapproveProductInvest: `${root}/product/approve`,

    //dropdown
    dropdownFuntions: `${root}/dropdown/function`,
    dropdownPermission: `${root}/function/getFunctionTree`,
    dropdownBlogCategory: `${root}/dropdown/blogCategory`,
    dropdownDepartment: `${root}/dropdown/organization`,
    dropdownUserGroup: `${root}/dropdown/usergroup`,
    dropdownListActive: `${root}/dropdown/status`,
    dropdownUserApprove: `${root}/dropdown/userApprove`,
    dropdownSurveyType: `${root}/dropdown/surveyType`,
    dropdownAskType: `${root}/dropdown/askType`,
    dropdownCategoryType: `${root}/dropdown/otherlistType`,
    dropdownBank: `${root}/dropdown/bank`,
    dropdownIsuers: `${root}/dropdown/issuers`,
    dropdownCustomerType: `${root}/dropdown/customerType`,
    dropdownCustomerRank: `${root}/dropdown/customerrank`,
    dropdownGender: `${root}/dropdown/gender`,
    dropdownCustomerShareType: `${root}/dropdown/customerShareType`,
    dropdownBranch: `${root}/dropdown/branch`,
    dropdownCareResult: `${root}/dropdown/careResult`,
    dropdownCareType: `${root}/dropdown/careType`,

    dropdownGetINation: `${root}/dropdown/nation`,
    dropdownGetIProvince: `${root}/dropdown/province`,
    dropdownGetIProvinceBy: `${root}/dropdown/provinceBy`,

    dropdownGetIssuersType: `${root}/dropdown/issuersType`,
    dropdownGetOrganizationIdenMethod: `${root}/dropdown/organizationIdenMethod`,
    dropdownGetPersonIdenMethod: `${root}/dropdown/personIdenMethod`,
    dropdownPeriod: `${root}/dropdown/period`,
    dropdownTypePeriod: `${root}/dropdown/periodType`,

    dropdownRealeasePackage: `${root}/dropdown/realeasePackage`,
    dropdownProductGroup: `${root}/dropdown/productGroup`,
    dropdownProductType: `${root}/dropdown/productType`,
    dropdownFormTemplate: `${root}/dropdown/formTemplate`,
}
